Subject: Re: bug#36279: 26.2.90; (process-attributes nonexistent-pid) segmentation fault

From: Robert Pluim <[email-masked]>
Date: Wed, 19 Jun 2019 12:21:55 +0200

>>>>> On Wed, 19 Jun 2019 10:01:22 +0200, Andreas Schwab <[email-masked]> said:

    Andreas> On Jun 19 2019, Robert Pluim <[email-masked]> wrote:
    >> From a70ac9f644660a16fa871a9f6933c1344ffae083 Mon Sep 17 00:00:00 2001
    >> From: Robert Pluim <[email-masked]>
    >> Date: Wed, 19 Jun 2019 08:52:50 +0200
    >> Subject: [PATCH] Check length returned by sysctl
    >> To: [email-masked]
    >> 
    >> sysctl sometimes returns successfully even when it returns no data,
    >> such as when querying non-existent processes, which can cause crashes.

    Andreas> I thinks that's not a sometimes, but how it is documented to work.

I guess itʼs a matter of how you describe success:

Me: Kernel, please tell me about process <x>
Kernel: (process <x> does not exist). Success! Have some zero length
data.
Me: <crash>

But whatever, I can adjust the commit message.

Robert